Unverified Commit 970e4851 authored by Ashley's avatar Ashley
Browse files

Merge remote-tracking branch 'parity/master' into ashley-futures-update

parents f98966ac 47828402
......@@ -650,14 +650,6 @@ dependencies = [
"cfg-if 0.1.10 (registry+https://github.com/rust-lang/crates.io-index)",
]
[[package]]
name = "crossbeam-channel"
version = "0.3.9"
source = "registry+https://github.com/rust-lang/crates.io-index"
dependencies = [
"crossbeam-utils 0.6.6 (registry+https://github.com/rust-lang/crates.io-index)",
]
[[package]]
name = "crossbeam-channel"
version = "0.4.0"
......@@ -912,6 +904,24 @@ dependencies = [
"num-traits 0.1.43 (registry+https://github.com/rust-lang/crates.io-index)",
]
[[package]]
name = "enumflags2"
version = "0.6.2"
source = "registry+https://github.com/rust-lang/crates.io-index"
dependencies = [
"enumflags2_derive 0.6.2 (registry+https://github.com/rust-lang/crates.io-index)",
]
[[package]]
name = "enumflags2_derive"
version = "0.6.2"
source = "registry+https://github.com/rust-lang/crates.io-index"
dependencies = [
"proc-macro2 1.0.6 (registry+https://github.com/rust-lang/crates.io-index)",
"quote 1.0.2 (registry+https://github.com/rust-lang/crates.io-index)",
"syn 1.0.8 (registry+https://github.com/rust-lang/crates.io-index)",
]
[[package]]
name = "env_logger"
version = "0.6.2"
......@@ -1089,7 +1099,7 @@ source = "registry+https://github.com/rust-lang/crates.io-index"
[[package]]
name = "fork-tree"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
]
......@@ -1097,7 +1107,7 @@ dependencies = [
[[package]]
name = "frame-executive"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -1111,7 +1121,7 @@ dependencies = [
[[package]]
name = "frame-metadata"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"serde 1.0.102 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -1122,7 +1132,7 @@ dependencies = [
[[package]]
name = "frame-support"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"bitmask 0.5.0 (registry+https://github.com/rust-lang/crates.io-index)",
"frame-metadata 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -1146,7 +1156,7 @@ dependencies = [
[[package]]
name = "frame-support-procedural"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support-procedural-tools 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"proc-macro2 1.0.6 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -1157,7 +1167,7 @@ dependencies = [
[[package]]
name = "frame-support-procedural-tools"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support-procedural-tools-derive 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"proc-macro-crate 0.1.4 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -1169,7 +1179,7 @@ dependencies = [
[[package]]
name = "frame-support-procedural-tools-derive"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"proc-macro2 1.0.6 (registry+https://github.com/rust-lang/crates.io-index)",
"quote 1.0.2 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -1179,7 +1189,7 @@ dependencies = [
[[package]]
name = "frame-system"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"impl-trait-for-tuples 0.1.3 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -1196,7 +1206,7 @@ dependencies = [
[[package]]
name = "frame-system-rpc-runtime-api"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"sp-api 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -1478,7 +1488,7 @@ dependencies = [
[[package]]
name = "grafana-data-source"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"async-std 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"chrono 0.4.9 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -2824,7 +2834,7 @@ dependencies = [
[[package]]
name = "pallet-authority-discovery"
version = "0.1.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -2842,7 +2852,7 @@ dependencies = [
[[package]]
name = "pallet-authorship"
version = "0.1.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -2859,7 +2869,7 @@ dependencies = [
[[package]]
name = "pallet-babe"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -2880,7 +2890,7 @@ dependencies = [
[[package]]
name = "pallet-balances"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -2894,7 +2904,7 @@ dependencies = [
[[package]]
name = "pallet-collective"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -2910,7 +2920,7 @@ dependencies = [
[[package]]
name = "pallet-democracy"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -2925,7 +2935,7 @@ dependencies = [
[[package]]
name = "pallet-elections-phragmen"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -2938,7 +2948,7 @@ dependencies = [
[[package]]
name = "pallet-finality-tracker"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -2954,7 +2964,7 @@ dependencies = [
[[package]]
name = "pallet-grandpa"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -2969,10 +2979,25 @@ dependencies = [
"sp-std 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
]
[[package]]
name = "pallet-identity"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"enumflags2 0.6.2 (registry+https://github.com/rust-lang/crates.io-index)",
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"serde 1.0.102 (registry+https://github.com/rust-lang/crates.io-index)",
"sp-io 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sp-runtime 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sp-std 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
]
[[package]]
name = "pallet-im-online"
version = "0.1.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -2991,7 +3016,7 @@ dependencies = [
[[package]]
name = "pallet-indices"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3008,7 +3033,7 @@ dependencies = [
[[package]]
name = "pallet-membership"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3022,7 +3047,7 @@ dependencies = [
[[package]]
name = "pallet-nicks"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3036,7 +3061,7 @@ dependencies = [
[[package]]
name = "pallet-offences"
version = "1.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3051,7 +3076,7 @@ dependencies = [
[[package]]
name = "pallet-randomness-collective-flip"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3064,7 +3089,7 @@ dependencies = [
[[package]]
name = "pallet-session"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3083,7 +3108,7 @@ dependencies = [
[[package]]
name = "pallet-staking"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3103,7 +3128,7 @@ dependencies = [
[[package]]
name = "pallet-staking-reward-curve"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"proc-macro-crate 0.1.4 (registry+https://github.com/rust-lang/crates.io-index)",
"proc-macro2 1.0.6 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -3114,7 +3139,7 @@ dependencies = [
[[package]]
name = "pallet-timestamp"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3130,7 +3155,7 @@ dependencies = [
[[package]]
name = "pallet-transaction-payment"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3143,7 +3168,7 @@ dependencies = [
[[package]]
name = "pallet-transaction-payment-rpc"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"jsonrpc-core 14.0.3 (registry+https://github.com/rust-lang/crates.io-index)",
"jsonrpc-core-client 14.0.3 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -3160,7 +3185,7 @@ dependencies = [
[[package]]
name = "pallet-transaction-payment-rpc-runtime-api"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -3173,7 +3198,7 @@ dependencies = [
[[package]]
name = "pallet-treasury"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"frame-support 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"frame-system 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3668,6 +3693,7 @@ dependencies = [
"pallet-elections-phragmen 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"pallet-finality-tracker 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"pallet-grandpa 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"pallet-identity 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"pallet-im-online 0.1.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"pallet-indices 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"pallet-membership 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -3703,7 +3729,7 @@ dependencies = [
"sp-session 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sp-staking 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sp-std 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sp-transaction-pool-runtime-api 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sp-transaction-pool-api 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sp-trie 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sp-version 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"substrate-wasm-builder-runner 1.0.4 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4306,7 +4332,7 @@ dependencies = [
[[package]]
name = "sc-application-crypto"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"serde 1.0.102 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4318,7 +4344,7 @@ dependencies = [
[[package]]
name = "sc-authority-discovery"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"bytes 0.4.12 (registry+https://github.com/rust-lang/crates.io-index)",
"derive_more 0.99.2 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4342,7 +4368,7 @@ dependencies = [
[[package]]
name = "sc-block-builder"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"sp-api 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -4356,7 +4382,7 @@ dependencies = [
[[package]]
name = "sc-chain-spec"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"impl-trait-for-tuples 0.1.3 (registry+https://github.com/rust-lang/crates.io-index)",
"sc-chain-spec-derive 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -4371,7 +4397,7 @@ dependencies = [
[[package]]
name = "sc-chain-spec-derive"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"proc-macro-crate 0.1.4 (registry+https://github.com/rust-lang/crates.io-index)",
"proc-macro2 1.0.6 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4382,7 +4408,7 @@ dependencies = [
[[package]]
name = "sc-cli"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"ansi_term 0.12.1 (registry+https://github.com/rust-lang/crates.io-index)",
"app_dirs 1.2.1 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4417,7 +4443,7 @@ dependencies = [
[[package]]
name = "sc-client"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"derive_more 0.99.2 (registry+https://github.com/rust-lang/crates.io-index)",
"fnv 1.0.6 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4450,7 +4476,7 @@ dependencies = [
[[package]]
name = "sc-client-api"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"derive_more 0.99.2 (registry+https://github.com/rust-lang/crates.io-index)",
"fnv 1.0.6 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4482,7 +4508,7 @@ dependencies = [
[[package]]
name = "sc-client-db"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"hash-db 0.15.2 (registry+https://github.com/rust-lang/crates.io-index)",
"kvdb 0.1.1 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4507,7 +4533,7 @@ dependencies = [
[[package]]
name = "sc-consensus-babe"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"derive_more 0.99.2 (registry+https://github.com/rust-lang/crates.io-index)",
"fork-tree 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -4547,7 +4573,7 @@ dependencies = [
[[package]]
name = "sc-consensus-slots"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"futures 0.3.1 (registry+https://github.com/rust-lang/crates.io-index)",
"futures-timer 2.0.2 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4566,7 +4592,7 @@ dependencies = [
[[package]]
name = "sc-consensus-uncles"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)",
"sc-client-api 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -4580,7 +4606,7 @@ dependencies = [
[[package]]
name = "sc-executor"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"cranelift-codegen 0.50.0 (registry+https://github.com/rust-lang/crates.io-index)",
"cranelift-entity 0.50.0 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4612,7 +4638,7 @@ dependencies = [
[[package]]
name = "sc-finality-grandpa"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"finality-grandpa 0.10.1 (registry+https://github.com/rust-lang/crates.io-index)",
"fork-tree 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -4642,7 +4668,7 @@ dependencies = [
[[package]]
name = "sc-keystore"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"derive_more 0.99.2 (registry+https://github.com/rust-lang/crates.io-index)",
"hex 0.4.0 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4657,7 +4683,7 @@ dependencies = [
[[package]]
name = "sc-network"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"bitflags 1.2.1 (registry+https://github.com/rust-lang/crates.io-index)",
"bytes 0.4.12 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4702,7 +4728,7 @@ dependencies = [
[[package]]
name = "sc-offchain"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"bytes 0.4.12 (registry+https://github.com/rust-lang/crates.io-index)",
"fnv 1.0.6 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4729,7 +4755,7 @@ dependencies = [
[[package]]
name = "sc-peerset"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"futures 0.3.1 (registry+https://github.com/rust-lang/crates.io-index)",
"libp2p 0.13.1 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4740,7 +4766,7 @@ dependencies = [
[[package]]
name = "sc-rpc"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"futures 0.3.1 (registry+https://github.com/rust-lang/crates.io-index)",
"hash-db 0.15.2 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4769,7 +4795,7 @@ dependencies = [
[[package]]
name = "sc-rpc-api"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"derive_more 0.99.2 (registry+https://github.com/rust-lang/crates.io-index)",
"futures 0.3.1 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4791,7 +4817,7 @@ dependencies = [
[[package]]
name = "sc-rpc-server"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"jsonrpc-core 14.0.3 (registry+https://github.com/rust-lang/crates.io-index)",
"jsonrpc-http-server 14.0.3 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4806,7 +4832,7 @@ dependencies = [
[[package]]
name = "sc-service"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"derive_more 0.99.2 (registry+https://github.com/rust-lang/crates.io-index)",
"exit-future 0.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4843,7 +4869,6 @@ dependencies = [
"sp-runtime 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sp-session 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sp-transaction-pool-api 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sp-transaction-pool-runtime-api 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sysinfo 0.9.6 (registry+https://github.com/rust-lang/crates.io-index)",
"target_info 0.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"tokio-executor 0.1.8 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4854,7 +4879,7 @@ dependencies = [
[[package]]
name = "sc-state-db"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)",
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4865,7 +4890,7 @@ dependencies = [
[[package]]
name = "sc-telemetry"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"bytes 0.4.12 (registry+https://github.com/rust-lang/crates.io-index)",
"futures 0.1.29 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4877,9 +4902,9 @@ dependencies = [
"rand 0.7.2 (registry+https://github.com/rust-lang/crates.io-index)",
"serde 1.0.102 (registry+https://github.com/rust-lang/crates.io-index)",
"slog 2.5.2 (registry+https://github.com/rust-lang/crates.io-index)",
"slog-async 2.3.0 (git+https://github.com/paritytech/slog-async)",
"slog-json 2.3.0 (registry+https://github.com/rust-lang/crates.io-index)",
"slog-scope 4.3.0 (registry+https://github.com/rust-lang/crates.io-index)",
"take_mut 0.2.2 (registry+https://github.com/rust-lang/crates.io-index)",
"tokio-io 0.1.12 (registry+https://github.com/rust-lang/crates.io-index)",
"void 1.0.2 (registry+https://github.com/rust-lang/crates.io-index)",
]
......@@ -4887,7 +4912,7 @@ dependencies = [
[[package]]
name = "sc-tracing"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"erased-serde 0.3.9 (registry+https://github.com/rust-lang/crates.io-index)",
"grafana-data-source 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -4903,7 +4928,7 @@ dependencies = [
[[package]]
name = "sc-transaction-graph"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"derive_more 0.99.2 (registry+https://github.com/rust-lang/crates.io-index)",
"futures 0.3.1 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4918,7 +4943,7 @@ dependencies = [
[[package]]
name = "sc-transaction-pool"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"derive_more 0.99.2 (registry+https://github.com/rust-lang/crates.io-index)",
"futures 0.3.1 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -4932,7 +4957,6 @@ dependencies = [
"sp-core 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sp-runtime 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sp-transaction-pool-api 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sp-transaction-pool-runtime-api 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
]
[[package]]
......@@ -5115,17 +5139,6 @@ dependencies = [
"erased-serde 0.3.9 (registry+https://github.com/rust-lang/crates.io-index)",
]
[[package]]
name = "slog-async"
version = "2.3.0"
source = "git+https://github.com/paritytech/slog-async#107848e7ded5e80dc43f6296c2b96039eb92c0a5"
dependencies = [
"crossbeam-channel 0.3.9 (registry+https://github.com/rust-lang/crates.io-index)",
"slog 2.5.2 (registry+https://github.com/rust-lang/crates.io-index)",
"take_mut 0.2.2 (registry+https://github.com/rust-lang/crates.io-index)",
"thread_local 0.3.6 (registry+https://github.com/rust-lang/crates.io-index)",
]
[[package]]
name = "slog-json"
version = "2.3.0"
......@@ -5210,7 +5223,7 @@ source = "registry+https://github.com/rust-lang/crates.io-index"
[[package]]
name = "sp-api"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"sp-api-proc-macro 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -5224,7 +5237,7 @@ dependencies = [
[[package]]
name = "sp-api-proc-macro"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"blake2-rfc 0.2.18 (registry+https://github.com/rust-lang/crates.io-index)",
"proc-macro-crate 0.1.4 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -5236,7 +5249,7 @@ dependencies = [
[[package]]
name = "sp-arithmetic"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"integer-sqrt 0.1.2 (registry+https://github.com/rust-lang/crates.io-index)",
"num-traits 0.2.10 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -5249,7 +5262,7 @@ dependencies = [
[[package]]
name = "sp-authority-discovery"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"sc-application-crypto 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -5261,17 +5274,18 @@ dependencies = [
[[package]]
name = "sp-authorship"
version = "2.0.0"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#665304397ff7e60d7cda177a0623a571e5909a2c"
source = "git+https://github.com/paritytech/substrate?branch=polkadot-master#af370c710a87908fcfb5296fe2a8202e1808ee64"
dependencies = [
"parity-scale-codec 1.1.0 (registry+https://github.com/rust-lang/crates.io-index)",
"sp-inherents 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sp-runtime 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sp-std 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
]
[[package]]
name = "sp-block-builder"